> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch contact details

> Fetch contact details by supplying at least one parameter. Additional parameters are optional.

Returns a set of contacts matching the search criteria. Contact details include name, title, company, location, LinkedIn profile, and information about their role and tenure.

If multiple parameters are supplied, the search will return contacts matching all criteria.

The response includes a `records` array of matching contacts, each with detailed fields. The `total_records` field specifies the number of matches returned. See the **Field References** section of the documentation for a breakdown of each field returned in the response.



## OpenAPI

````yaml post /v1/contacts
openapi: 3.1.0
info:
  title: LeadX API
  version: 0.1.0
servers: []
security: []
tags:
  - name: All Attributes
    description: Aggregate and correlate data about companies and their associated records.
  - name: Better Business Bureau
    description: >-
      Retrieve Better Business Bureau (BBB) ratings and accreditation status for
      businesses.
  - name: Companies
    description: Enrich company data by URL, name, address, or phone.
  - name: Contacts
    description: Enrich data about contacts.
  - name: email
    description: Validate company email addresses.
  - name: Google Reviews
    description: Retrieve Google Reviews and ratings for businesses.
  - name: Mobile Number
    description: Enrich mobile phone numbers.
  - name: UCC
    description: Search across to the U.S. Uniform Commercial Code (UCC) lien filings.
paths:
  /v1/contacts:
    post:
      tags:
        - Contacts
      summary: Fetch contact details
      description: >-
        Fetch contact details by supplying at least one parameter. Additional
        parameters are optional.


        Returns a set of contacts matching the search criteria. Contact details
        include name, title, company, location, LinkedIn profile, and
        information about their role and tenure.


        If multiple parameters are supplied, the search will return contacts
        matching all criteria.


        The response includes a `records` array of matching contacts, each with
        detailed fields. The `total_records` field specifies the number of
        matches returned. See the **Field References** section of the
        documentation for a breakdown of each field returned in the response.
      operationId: fetch_contacts_v1_contacts_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactsRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                success: true
                records:
                  - city: Brighton
                    company: TechWorks
                    company_id: CMP000111222333XYZ
                    contact_id: CNT999888777666ABC
                    country: United States
                    county: Collin County
                    department: Engineering
                    employment_timeline: >-
                      TechWorks: CTO: 2020-06 to Present - AeroTech Labs: Senior
                      Engineer: 2015-04 to 2020-05 - Weston University: Research
                      Assistant: 2012-09 to 2015-03
                    first_name: Jordan
                    gender: Female
                    last_name: Taylor
                    linkedin: linkedin.com/in/jordan-taylor-1678900a
                    linkedin_description: CTO at TechWorks
                    location: Brighton, TX, United States
                    name: Jordan Taylor
                    seniority: C Level Executive
                    start_date: '2020-06-01T00:00:00.000000'
                    state: TX
                    state_name: Texas
                    title: Chief Technology Officer
                    title_priority: 1
                    url: techworks.io
                    years_in_role: 5.3
                    zip_code: '75001'
                total_records: 1
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    ContactsRequest:
      properties:
        url:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Url
          description: Company URL or list of company URLs (with or without http)
          example: company.com
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Contact name
          example: Jane Smith
        title:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Title
          description: Contact title or list of titles
          example: Owner
        title_hierarchy:
          anyOf:
            - type: string
            - type: 'null'
          title: Title Hierarchy
          description: Contact title hierarchy
          example: C Level Executive
        department:
          anyOf:
            - type: string
            - type: 'null'
          title: Department
          description: Contact department
          example: C Level Executive
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: Contact city
          example: San Francisco
        zip_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip Code
          description: Contact Zip code
          example: '94105'
        county:
          anyOf:
            - type: string
            - type: 'null'
          title: County
          description: Contact county
          example: San Francisco County
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
          description: Contact state
          example: CA
        linkedin_url:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Linkedin Url
          description: Contact LinkedIn URL or list of LinkedIn URLs
          example: https://www.linkedin.com/in/janesmith
        linkedin_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Linkedin Description
          description: LinkedIn profile header/description
          example: Fractional CFO, Accounting and Finance Services
        page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Page
          description: Page number for pagination
          default: 1
          example: 1
        per_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Per Page
          description: Number of records per page
          default: 50
          example: 50
      type: object
      title: ContactsRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````